#ifndef PARAMETERSETTINGSWIDGET_H
#define PARAMETERSETTINGSWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "navlistwidget.h"

class ParameterSettingsWidget:public QWidget
{
    Q_OBJECT
public:
    ParameterSettingsWidget(QWidget *parent = NULL);
    virtual ~ParameterSettingsWidget();
    void  init();
    void  initLay();
    bool  initConnect();

private:
    //参数设置
    QLabel          m_labSettingTxt;

    QLabel          m_labHighFrequencyFiltering;


    //低频过滤
    QLabel          m_labLowerFrequencyFiltering;


    //时间常数
    QLabel          m_labTimeConst;


    //工频馅波 Power-frequency notch
    QLabel          m_labPowerFreNotch;

    //波幅
    QLabel          m_labAmplitude;

    //Wave velocity
    //波速
    QLabel          m_labWavevelocity;


    QPushButton      m_btncanCel;
    QPushButton      m_btnOK;
};



#endif // PARAMETERSETTINGSWIDGET_H
